<div id="MarketPlaceContainer" (mouseleave)="handleToggleMarketMenu($event)">
  <div class="market-type-container">
    <div class="market-title">Available Projects</div>
    <div *ngFor="let project of availableProjects" class="market-list" (click)="handleAddProject(project.id)">
      <span class="market-item">💼</span>
      <span class="market-item">{{project.name}}</span>
      <span class="market-item" title="Reward"><small>{{project.reward}} €</small></span>
      <span class="market-item" title="Deadline"><small>⌛ {{project.deadlineCountdown}} W</small></span>
    </div>
    <div *ngIf="availableProjects?.length === 0" class="p-1">
      <span>No available projects on market at this time</span>
    </div>
  </div>
  <div class="market-type-container">
    <div class="market-title">Available Workers</div>
    <div *ngFor="let worker of availableWorkers" class="market-list" (click)="handleAddWorker(worker.id)">
      <span class="market-item">{{worker.genderIcon}}</span>
      <span class="market-item">{{worker.name}}</span>
      <span class="market-item" title="Salary"><small>- {{worker.salary}} €</small></span>
      <div class="market-item">
        <ng-container *ngFor="let skill of worker.skills">
          <span class="mr-1" [title]="skill.skill"><small>{{skill.label}}: {{skill.points}}</small></span>
        </ng-container>
      </div>
    </div>
    <div *ngIf="availableWorkers?.length === 0" class="p-1">
      <span>No available workers on market at this time</span>
    </div>
  </div>
</div>
